Click here to Skip to main content
15,880,330 members
Home / Discussions / Artificial Intelligence
   

Artificial Intelligence

 
QuestionSeriously impressed! Pin
Paul Langton-Rogers7-Apr-24 9:43
professionalPaul Langton-Rogers7-Apr-24 9:43 
QuestionRunning AI on an old MacPro1,1? Pin
Paul Langton-Rogers7-Apr-24 9:43
professionalPaul Langton-Rogers7-Apr-24 9:43 
QuestionLicense Plate Reader: [AttributeError] : Traceback (most recent call last) Pin
paul read 202226-Mar-24 4:59
paul read 202226-Mar-24 4:59 
AnswerRe: License Plate Reader: [AttributeError] : Traceback (most recent call last) Pin
Pete O'Hanlon26-Mar-24 5:51
mvePete O'Hanlon26-Mar-24 5:51 
GeneralRe: License Plate Reader: [AttributeError] : Traceback (most recent call last) Pin
paul read 202226-Mar-24 5:59
paul read 202226-Mar-24 5:59 
QuestionAdvice for object detection for LEO person detection and LEO vehicle, speed detection with blue iris setup. RTX4070 8.9, 6-4k cams, Pin
Elle Hendrix5-Mar-24 7:14
Elle Hendrix5-Mar-24 7:14 
QuestionWhat ML model is best suited for an intelligent search assistant? Pin
Vito Alvarez26-Feb-24 7:41
Vito Alvarez26-Feb-24 7:41 
QuestionCUDA Errors with YOLOv5 Object Detection CPAI 2.5.x / Blue Iris – Seeking Insights Pin
Zz0K217-Feb-24 23:48
Zz0K217-Feb-24 23:48 
I'm reaching out to share a perplexing issue I've encountered with the integration CPAI with my BI setup, hoping to find if anyone else has experienced something similar or could offer any insights. The problem first manifested around 01:45 am on 14/02/2024, and despite troubleshooting efforts, it recurred this morning, indicating a persistent underlying issue.

Initially, the system logs from 14th February showed an error related to CUDA, specifically mentioning "an illegal memory access was encountered". This issue caused a loop of errors until a system reboot was performed at 9:06 am.

Here is the exact log entry for reference:

Terminal
<pre lang="Terminal">2024-02-14 01:39:57: Object Detection (YOLOv5 6.2): Retrieved objectdetection_queue command 'custom' in Object Detection (YOLOv5 6.2)
2024-02-14 01:39:57: Object Detection (YOLOv5 6.2): Detecting using ipcam-combined in Object Detection (YOLOv5 6.2)
2024-02-14 01:39:57: Response received (#reqid 85bde494-89d3-429d-a21b-c10b9430c5a8 for command custom)
2024-02-14 01:39:57: Object Detection (YOLOv5 6.2):  [RuntimeError] : Traceback (most recent call last):
  File "C:\Program Files\CodeProject\AI\modules\ObjectDetectionYOLOv5-6.2\detect.py", line 141, in do_detection
    det                  = detector(img, size=640)
  File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\torch\nn\modules\module.py", line 1190, in _call_impl
    return forward_call(*input, **kwargs)
  File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\torch\autograd\grad_mode.py", line 27, in decorate_context
    return func(*args, **kwargs)
  File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\yolov5\models\common.py", line 669, in forward
    with dt[0]:
  File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\yolov5\utils\general.py", line 158, in __enter__
    self.start = self.time()
  File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\yolov5\utils\general.py", line 167, in time
    torch.cuda.synchronize()
  File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\torch\cuda\__init__.py", line 566, in synchronize
    return torch._C._cuda_synchronize()
RuntimeError: CUDA error: an illegal memory access was encountered
CUDA kernel errors might be asynchronously reported at some other API call,so the stacktrace below might be incorrect.
For debugging consider passing CUDA_LAUNCH_BLOCKING=1.
 in Object Detection (YOLOv5 6.2)


I upgraded yesterday from CPAI v2.5.1 to v2.5.4, hoping the update would resolve the issue which took place on the 14th. However, this morning, the same CUDA error reappeared, this time indicating "an illegal instruction was encountered". The error persisted until a reboot was done just after 9 am. Below is the log excerpt from today's occurrence:

Terminal
2024-02-18 04:52:40: Object Detection (YOLOv5 6.2): Detecting using ipcam-combined in Object Detection (YOLOv5 6.2)
2024-02-18 04:52:40: Response rec'd from Object Detection (YOLOv5 6.2) command 'custom' (#reqid ad29496b-5caf-4d8b-b02f-7fcc6c7ab605) ['No objects found']  took 22ms
2024-02-18 04:52:40: Client request 'custom' in queue 'objectdetection_queue' (#reqid 7e1b52dd-b880-4c35-b7c6-0f076127faab)
2024-02-18 04:52:40: Request 'custom' dequeued from 'objectdetection_queue' (#reqid 7e1b52dd-b880-4c35-b7c6-0f076127faab)
2024-02-18 04:52:40: Object Detection (YOLOv5 6.2): Retrieved objectdetection_queue command 'custom' in Object Detection (YOLOv5 6.2)
2024-02-18 04:52:40: Object Detection (YOLOv5 6.2): Detecting using ipcam-combined in Object Detection (YOLOv5 6.2)
2024-02-18 04:52:40: Response rec'd from Object Detection (YOLOv5 6.2) command 'custom' (#reqid 7e1b52dd-b880-4c35-b7c6-0f076127faab)
2024-02-18 04:52:40: Object Detection (YOLOv5 6.2):  [RuntimeError] : Traceback (most recent call last):
  File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\yolov5\models\common.py", line 715, in forward
    max_det=self.max_det)  # NMS
  File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\yolov5\utils\general.py", line 920, in non_max_suppression
    x = torch.cat((box, conf, j.float(), mask), 1)[conf.view(-1) > conf_thres]
RuntimeError: CUDA error: an illegal instruction was encountered
CUDA kernel errors might be asynchronously reported at some other API call,so the stacktrace below might be incorrect.
For debugging consider passing CUDA_LAUNCH_BLOCKING=1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files\CodeProject\AI\modules\ObjectDetectionYOLOv5-6.2\detect.py", line 141, in do_detection
    det                  = detector(img, size=640)
  File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\torch\nn\modules\module.py", line 1190, in _call_impl
    return forward_call(*input, **kwargs)
  File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\torch\autograd\grad_mode.py", line 27, in decorate_context
    return func(*args, **kwargs)
  File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\yolov5\models\common.py", line 717, in forward
    scale_boxes(shape1, y[i][:, :4], shape0[i])
  File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\yolov5\utils\general.py", line 162, in __exit__
    self.dt = self.time() - self.start  # delta-time
  File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\yolov5\utils\general.py", line 167, in time
    torch.cuda.synchronize()
  File "C:\Program Files\CodeProject\AI\runtimes\bin\windows\python37\venv\lib\site-packages\torch\cuda\__init__.py", line 566, in synchronize
    return torch._C._cuda_synchronize()
RuntimeError: CUDA error: an illegal instruction was encountered
CUDA kernel errors might be asynchronously reported at some other API call,so the stacktrace below might be incorrect.
For debugging consider passing CUDA_LAUNCH_BLOCKING=1.
 in Object Detection (YOLOv5 6.2)


The repeating nature of this error is particularly concerning as it undermines the reliability of object detection capabilities, which are crucial for the functionality I rely on. It's disconcerting to see the system fail in such a manner, especially considering the otherwise commendable performance improvements in the AI aspects of the software.

Has anyone else encountered similar issues, particularly with CUDA errors causing system instability? Any advice on troubleshooting or resolving this would be immensely appreciated. I've also posted this on the Blue Iris forum to cast a wider net for potential solutions.

Thank you in advance for your time and assistance.
AnswerRe: CUDA Errors with YOLOv5 Object Detection CPAI 2.5.x / Blue Iris – Seeking Insights Pin
Richard MacCutchan18-Feb-24 1:34
mveRichard MacCutchan18-Feb-24 1:34 
GeneralRe: CUDA Errors with YOLOv5 Object Detection CPAI 2.5.x / Blue Iris – Seeking Insights Pin
Zz0K218-Feb-24 3:05
Zz0K218-Feb-24 3:05 
GeneralRe: CUDA Errors with YOLOv5 Object Detection CPAI 2.5.x / Blue Iris – Seeking Insights Pin
Richard MacCutchan18-Feb-24 4:34
mveRichard MacCutchan18-Feb-24 4:34 
QuestionRe: CUDA Errors with YOLOv5 Object Detection CPAI 2.5.x / Blue Iris – Seeking Insights Pin
trønderen18-Feb-24 16:27
trønderen18-Feb-24 16:27 
AnswerRe: CUDA Errors with YOLOv5 Object Detection CPAI 2.5.x / Blue Iris – Seeking Insights Pin
Richard MacCutchan18-Feb-24 21:28
mveRichard MacCutchan18-Feb-24 21:28 
AnswerRe: Upgraded to 2.5.1 - slow response with AI results? Pin
Richard MacCutchan1-Feb-24 5:37
mveRichard MacCutchan1-Feb-24 5:37 
QuestionGPU Query for CPAI & Blue Iris Pin
Zz0K228-Jan-24 9:28
Zz0K228-Jan-24 9:28 
QuestionSuper Resolution on UNRAID: Error trying to start Super Resolution (superres_adapter.py) Pin
jakabo2720-Jan-24 12:39
jakabo2720-Jan-24 12:39 
AnswerRe: Super Resolution on UNRAID: Error trying to start Super Resolution (superres_adapter.py) Pin
Richard MacCutchan20-Jan-24 21:05
mveRichard MacCutchan20-Jan-24 21:05 
GeneralRe: Super Resolution on UNRAID: Error trying to start Super Resolution (superres_adapter.py) Pin
jakabo2721-Jan-24 5:34
jakabo2721-Jan-24 5:34 
AnswerRe: Super Resolution on UNRAID: Error trying to start Super Resolution (superres_adapter.py) Pin
Member 1621180127-Feb-24 23:49
Member 1621180127-Feb-24 23:49 
Questionface triggers in blue iris Pin
Yossi Shi24-Nov-23 6:37
Yossi Shi24-Nov-23 6:37 
AnswerRe: face triggers in blue iris Pin
Richard MacCutchan24-Nov-23 21:56
mveRichard MacCutchan24-Nov-23 21:56 
Question1650 gtx video card + blueiris + codeproject AI - No gpu mode, only cpu? Pin
theskyisthelimit9925-Sep-23 3:19
theskyisthelimit9925-Sep-23 3:19 
AnswerRe: 1650 gtx video card + blueiris + codeproject AI - No gpu mode, only cpu? Pin
RedDk25-Sep-23 6:46
RedDk25-Sep-23 6:46 
GeneralRe: 1650 gtx video card + blueiris + codeproject AI - No gpu mode, only cpu? Pin
theskyisthelimit9925-Sep-23 6:57
theskyisthelimit9925-Sep-23 6:57 
GeneralRe: 1650 gtx video card + blueiris + codeproject AI - No gpu mode, only cpu? Pin
RedDk25-Sep-23 8:00
RedDk25-Sep-23 8:00 

General General    News News    Suggestion Suggestion    Question Question    Bug Bug    Answer Answer    Joke Joke    Praise Praise    Rant Rant    Admin Admin   

Use Ctrl+Left/Right to switch messages, Ctrl+Up/Down to switch threads, Ctrl+Shift+Left/Right to switch pages.